#!/usr/bin/env bash
set -euo pipefail

script_path=$(readlink -f "${BASH_SOURCE[0]}")
flake=$(dirname "$script_path")

configuration=$(sudo nixos-rebuild dry-activate --flake "$flake" --keep-going "$@")
echo "$configuration"

nix run --inputs-from "$flake" nixpkgs#nvd -- diff /run/current-system "$configuration"

read -n1 -rp "Activate new configuration? [y/N] " answer
echo

if [[ $answer =~ ^[Yy]$ ]]; then
  sudo "$configuration/bin/switch-to-configuration" switch
else
  echo "Not activating :("
  exit 1
fi
